Summary: The GNU chess program.
Name: gnuchess
Version: 4.0.pl80
Release: 6
Copyright: GPL
Group: Amusements/Games
Source: ftp://ftp.gnu.org/gnu/chess/gnuchess-4.0.pl80.tar.gz
Patch0: gnuchess-4.0.pl75-fsstnd.patch
Patch1: gnuchess-4.0.pl77-ncurses.patch
Patch2: gnuchess-4.0.pl79.patch
Buildroot: /var/tmp/chess-root
Provides: chessprogram


%description
The gnuchess package contains the GNU chess program.  By default,
GNUchess uses a curses text-based interface.  Alternatively, GNUchess
can be used in conjunction with the xboard user interface and the X
Window System for a graphical chessboard.

Install the gnuchess package if you would like to play chess on your
computer.  You'll also need to install the curses package.  If you'd
like to use a graphical interface with GNUchess, you'll also need to
install the xboard package and the X Window System.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .time

%build
cd src
rm -f config.status config.cache
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/gnuchess $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
cd src
%makeinstall MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man6

cd $RPM_BUILD_ROOT
strip usr/bin/gnuchess usr/bin/gnuchessr usr/bin/gnuchessn
strip usr/bin/gnuchessx usr/bin/gnuchessc usr/bin/postprint
strip usr/bin/gnuan usr/bin/game

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/gnuchess
/usr/bin/gnuchessr
/usr/bin/gnuchessn
/usr/bin/gnuchessx
/usr/bin/gnuchessc
/usr/bin/postprint
/usr/bin/gnuan
/usr/bin/game
/usr/lib/games/gnuchess/gnuchess.lang
/usr/lib/games/gnuchess/eco.pgn
/usr/lib/games/gnuchess/gnuchess.data
/usr/lib/games/gnuchess/gnuchess.eco
%{_mandir}/man6/*

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuid in new environment

* Mon Apr  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with new ncurses
- do NOT update to 5.00 because it sucks: The UI is gone, the print
  tools are gone, and the Makefile contains DOS-specific instructions.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sat Aug 14 1999 Bill Nottingham <notting@redhat.com>
- provide chessprogram, don't require xboard

* Fri Jul 29 1999 Bill Nottingham <notting@redhat.com>
- update to 4.0pl80

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
